<p align="center"> 
<a href="https://github.com/milaan9"><img src="https://img.shields.io/static/v1?logo=github&label=maintainer&message=milaan9&color=ff3300" alt="Last Commit"/></a> 
<!--<img src="https://badges.pufler.dev/created/milaan9/08_Python_Date_Time_Module" alt="Created"/>-->
<!--<a href="https://github.com/milaan9/08_Python_Date_Time_Module/graphs/commit-activity"><img src="https://img.shields.io/github/last-commit/milaan9/08_Python_Date_Time_Module.svg?colorB=ff8000&style=flat" alt="Last Commit"/> </a>-->
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/pulse" alt="Activity"><img src="https://img.shields.io/github/commit-activity/m/milaan9/08_Python_Date_Time_Module.svg?colorB=teal&style=flat" /></a> 
<a href="https://hits.seeyoufarm.com"><img src="https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fmilaan9%2F08_Python_Date_Time_Module&count_bg=%231DC92C&title_bg=%23555555&icon=&icon_color=%23E7E7E7&title=views&edge_flat=false"/></a>
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/stargazers"><img src="https://img.shields.io/github/stars/milaan9/08_Python_Date_Time_Module.svg?colorB=1a53ff" alt="Stars Badge"/></a>
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/network/members"><img src="https://img.shields.io/github/forks/milaan9/08_Python_Date_Time_Module" alt="Forks Badge"/> </a>
<img src="https://img.shields.io/github/repo-size/milaan9/08_Python_Date_Time_Module.svg?colorB=CC66FF&style=flat" alt="Size"/>
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/pulls"><img src="https://img.shields.io/github/issues-pr/milaan9/08_Python_Date_Time_Module.svg?colorB=yellow&style=flat" alt="Pull Requests Badge"/></a>
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/issues"><img src="https://img.shields.io/github/issues/milaan9/08_Python_Date_Time_Module.svg?colorB=yellow&style=flat" alt="Issues Badge"/></a>
<img src="https://img.shields.io/github/languages/top/milaan9/08_Python_Date_Time_Module.svg?colorB=996600&style=flat" alt="Language"/></a> 
<a href="https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/LICENSE"><img src="https://img.shields.io/badge/License-MIT-blueviolet.svg" alt="MIT License"/></a>
</p> 
<!--<img src="https://badges.pufler.dev/contributors/milaan9/01_Python_Introduction?size=50&padding=5&bots=true" alt="milaan9"/>-->

<p align="center"> 
<a href="https://mybinder.org/v2/gh/milaan9/08_Python_Date_Time_Module/HEAD"><img src="https://mybinder.org/badge_logo.svg" alt="binder"/></a>
<a href="https://githubtocolab.com/milaan9/08_Python_Date_Time_Module"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="colab"/></a> 
</p>  
 
# 08_Python_Date_Time


## Introduction 👋

### 1. What is Pandas DateTime Module?
Working with dates and times is one of the biggest challenges in programming. Between dealing with time zones, daylight saving time, and different written date formats, it can be tough to keep track of which days and times you’re referencing. Fortunately, the built-in Python datetime module can help you manage the complex nature of dates and times.

In this tutorial, you’ll learn:

* Why programming with dates and times is such a challenge
* Which functions are available in the Python datetime module
* How to print or read a date and time in a specific format
* How to do arithmetic with dates and times

### 2. What is Pandas Time Module?
The Python time module provides many ways of representing time in code, such as objects, numbers, and strings. It also provides functionality other than representing time, like waiting during code execution and measuring the efficiency of your code.

This article will walk you through the most commonly used functions and objects in time.

By the end of this article, you’ll be able to:

* Understand core concepts at the heart of working with dates and times, such as epochs, time zones, and daylight savings time
* Represent time in code using floats, tuples, and struct_time
* Convert between different time representations
* Suspend thread execution
* Measure code performance using perf_counter()

---

## Table of contents 📋

| **No.** | **Name** | 
| ------- | -------- | 
| 01 | **[Python_datetime_Module](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/001_Python_datetime_Module.ipynb)** |
| 02 | **[Python_strftime()](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/002_Python_strftime().ipynb)** |
| 03 | **[Python_strptime](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/003_Python_strptime.ipynb)** |
| 04 | **[Python_current_date_and_time](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/004_Python_current_date_and_time.ipynb)** |
| 05 | **[Python_get_current_time](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/005_Python_get_current_time.ipynb)** |
| 06 | **[Python_timestamp_to_datetime](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/006_Python_timestamp_to_datetime.ipynb)** |
| 07 | **[Python_time_Module](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/007_Python_time_Module.ipynb)** |
| 08 | **[Python_sleep()](https://github.com/milaan9/08_Python_Date_Time_Module/blob/main/008_Python_sleep().ipynb)** |

These are online **read-only** versions. However you can **`Run ▶`**  all the codes **online** by clicking here ➞ <a href="https://mybinder.org/v2/gh/milaan9/08_Python_Date_Time_Module/HEAD"><img src="https://mybinder.org/badge_logo.svg" alt="binder"/></a>

---

## Frequently asked questions ❔

### How can I thank you for writing and sharing this tutorial? 🌷

You can <img src="https://img.shields.io/static/v1?label=%E2%AD%90 Star &message=if%20useful&style=style=flat&color=blue" alt="Star Badge"/> and <img src="https://img.shields.io/static/v1?label=%E2%B5%96 Fork &message=if%20useful&style=style=flat&color=blue" alt="Fork Badge"/> Starring and Forking is free for you, but it tells me and other people that it was helpful and you like this tutorial.

Go [**`here`**](https://github.com/milaan9/08_Python_Date_Time_Module) if you aren't here already and click ➞ **`✰ Star`** and **`ⵖ Fork`** button in the top right corner. You will be asked to create a GitHub account if you don't already have one.

---

### How can I read this tutorial without an Internet connection? <img alt="GIF" src="https://github.com/TheDudeThatCode/TheDudeThatCode/blob/master/Assets/hmm.gif" width="20" />

1. Go [**`here`**](https://github.com/milaan9/08_Python_Date_Time_Module) and click the big green ➞ **`Code`** button in the top right of the page, then click ➞ [**`Download ZIP`**](https://github.com/milaan9/08_Python_Date_Time_Module/archive/refs/heads/main.zip).

    ![Download ZIP](img/dnld_rep.png)

2. Extract the ZIP and open it. Unfortunately I don't have any more specific instructions because how exactly this is done depends on which operating system you run.
    
3. Launch ipython notebook from the folder which contains the notebooks. Open each one of them
  
    **`Kernel > Restart & Clear Output`**
    
This will clear all the outputs and now you can understand each statement and learn interactively.

If you have git and you know how to use it, you can also clone the repository instead of downloading a zip and extracting it. An advantage with doing it this way is that you don't need to download the whole tutorial again to get the latest version of it, all you need to do is to pull with git and run ipython notebook again.

---

## Authors ✍️

I'm Dr. Milaan Parmar and I have written this tutorial. If you think you can add/correct/edit and enhance this tutorial you are most welcome🙏

See [github's contributors page](https://github.com/milaan9/08_Python_Date_Time_Module/graphs/contributors) for details.

If you have trouble with this tutorial please tell me about it by [Create an issue on GitHub](https://github.com/milaan9/10_Python_Pandas_Module/issues/new). and I'll make this tutorial better. This is probably the best choice if you had trouble following the tutorial, and something in it should be explained better. You will be asked to create a GitHub account if you don't already have one.

If you like this tutorial, please [give it a ⭐ star](https://github.com/milaan9/08_Python_Date_Time_Module).

---

## Licence 📜

You may use this tutorial freely at your own risk. See [LICENSE](./LICENSE).
